This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535477 - (RHQ-2168) Info hover for resources with unknown status displays non-renderable/odd characters for Availability.
Info hover for resources with unknown status displays non-renderable/odd char...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage rhq4
  Show dependency treegraph
 
Reported: 2009-06-22 16:03 EDT by Corey Welton
Modified: 2011-02-17 12:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 12:00:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
RHQ-2168.png (21.70 KB, image/png)
2009-06-22 16:07 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2009-06-22 16:03:00 EDT
Repro:

1. Register a system in a manner that causes RHQ to have an unknown ("grey") status icon.
2. In the summary tab for that resource, hover over the grey "?" icon.
3.  View the "Availability" line.

Current results:

Resource has been since: 12/31/69, 7:00:00 PM, EST
Availability: �
Down for:
Up for:
Failures: 0
MTBF: Mean Time Between Failures over the known resource lifetime.
MTTR: 

Expected results:

Serendipitously enough, the icon that appears (at least on FF3/linux) is a question mark within a diamond.  However, I don't suspect that was intent.  Generally I think that tends to show up for non-renderable characters.

Viewing the page source, the character is "�" 

According to http://www.w3.org/TR/html4/sgml/entities.html

"Character 65533 (FFFD hexadecimal) is the last valid character in UCS-2. 65534 (FFFE hexadecimal) is unassigned and reserved as the byte-swapped version of ZERO WIDTH NON-BREAKING SPACE for byte-order detection purposes. 65535 (FFFF hexadecimal) is unassigned."

So I am guessing some sort of null value is showing up here, inadvertently.


Comment 1 Corey Welton 2009-06-22 16:07:15 EDT
See attached screenshot
Comment 2 Red Hat Bugzilla 2009-11-10 15:59:09 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2168
Imported an attachment (id=368750)
Comment 3 wes hayutin 2010-02-16 11:57:35 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:02:34 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 John Mazzitelli 2011-02-17 12:00:37 EST
this tooltip hover no longer exists in gwt... this informatoin is now found in the monitoring>availabliity subtab

Note You need to log in before you can comment on or make changes to this bug.